#!/bin/bash
#
# This script is the intellectual (??) property of OP5 AB
# Copyright infringements will be pursued.

. config.env
. functions.sh

html_start2 dirlist.cgi

cat << EOF

EOF

# list the files (might be empty!)
cat << EOF
<h2>Currently available backups:</h2>
<p>The numbers in the filename represents yymmdd.hh.mm,
to help keep track of the backups made.</p>
<ul>
EOF

str=`find $path -type f -name "*$postfix"`
if [ ! "$str" ]; then
cat << EOF
No backups found.
<cite><strong><a href="/monitor/op5/backup/backup.cgi">It is stronly suggested you make one.</a></strong></cite>
EOF
html_end2
    exit 0
fi

for i in `find $path -type f -name "*$postfix" | sort -r | cut -d/ -f6` ; do
    echo "<li><a href=\"/backup/$i\">$i</a></li>"
done

echo "</ul>"

html_end2
